@REM     This .bat file is for use under Microsoft Windows.
@REM     The stuff at the top is a kludge to make sure we have a working Perl.
@REM     -Dave Burton    http://www.burtonsys.com/email/
@REM
@perl -e "exit(5);"
@if errorlevel 6 goto noperl
@if not errorlevel 5 goto noperl
@goto gotperl
:noperl
@if not exist perl4.exe goto noperl2
@echo Warning:  Perl 5 does not appear to be installed; copying perl4.exe to perl.exe . . .
copy perl4.exe perl.exe
@perl -e "exit(5);"
@if errorlevel 6 goto noperl2
@if not errorlevel 5 goto noperl2
@echo Success!  Retrying . . .
@goto gotperl
:noperl2
@echo ERROR: Perl does not seem to be working.  Please either install Perl 5,
@echo    or else copy perl4.exe to perl.exe, then try again.
@goto xit
:gotperl

@echo on

REM -- original calculation to create MSLtrend_v_distance.htm
perl -w distances_vs_trend_diffs.pl MSL_global_trendtable.csv MSLtrend_v_distance.csv2

REM -- calculation to create MSLtrend_v_distance_to_2500km.htm
perl -w distances_vs_trend_diffs.pl MSL_global_trendtable.csv MSLtrend_v_distance_to_2500km.csv2 2500

REM -- calculation to create psmsl_trend_v_distance3.htm
perl -w distances_vs_trend_diffs.pl -name=11 -trend=6 -lat=9 -lon=10 psmsl_rlr_trends.v03.txt psmsl_trend_v_distance3.csv 1400
REM -- this is equivalent:
perl -w distances_vs_trend_diffs_psmsl.pl psmsl_rlr_trends.v03.txt psmsl_trend_v_distance3.csv2 1400
REM  To create psmsl_trend_v_distance3.htm from psmsl_trend_v_distance3.csv, load
REM  it into Excel and save in HTML format.

REM -- calculate geographically-weighted global average MSL trend
perl calculate_distance_weighted_msl_avg.pl MSL_global_trendtable.csv

@rem   REM -- add links to tidestation table
@rem   perl -w oneline_per_td.pl MSL_global_trendtable1.html MSL_global_trendtable1.tmp
@rem   perl -w make_tidestation_links.pl MSL_global_trendtable1.tmp MSL_global_trendtable1.html

REM -- convert Church & White 2006 (monthly) data to match format of their 2009 (annual) data
REM    (from http://www.pol.ac.uk/psmsl/author_archive/church_white/), and convert LFs to
REM    CR+LFs (if run under Windows):
perl -w composite_sd_calc.pl church_white_grl_gmsl.lis >church_white_2006_gmsl.lis
perl -w church_white_averager.pl church_white_new_gmsl.lis church_white_2009_gmsl.lis

REM -- same as above, but put output in .CSV format (and with CR+LFs if run under Windows),
REM    for import to Excel:
perl -w church_white_averager.pl church_white_2006_gmsl.lis church_white_2006_gmsl.csv
perl -w church_white_averager.pl church_white_new_gmsl.lis church_white_2009_gmsl.csv

REM -- test and compare the two methods of calculating composite standard deviation
perl -w composite_sd_calc.pl -a -s -n=30 church_white_grl_gmsl.lis

:xit

